Bug 2213626 (CVE-2023-3128) - CVE-2023-3128 grafana: account takeover possible when using Azure AD OAuth
Summary: CVE-2023-3128 grafana: account takeover possible when using Azure AD OAuth
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-3128
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody
QA Contact:
URL:
Whiteboard:
Depends On: 2215358 2276903 2276904 2213655 2213656 2213693 2213694 2213695 2213696 2213697 2213698 2213699 2213700 2213701 2215357
Blocks: 2213623
TreeView+ depends on / blocked
 
Reported: 2023-06-08 18:58 UTC by Anten Skrabec
Modified: 2024-04-24 14:57 UTC (History)
28 users (show)

Fixed In Version: grafana 10.0.0, grafana 9.5.4, grafana 9.4.13, grafana 9.3.16, grafana 9.2.20, grafana 8.5.27
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Grafana, which validates Azure AD accounts based on the email claim. On Azure AD, the profile email field is not unique across Azure AD tenants, which enables Grafana account takeover and authentication bypass when Azure AD OAuth is configured with a multi-tenant AzureAD OAuth application. This may allow an attacker to gain complete control of the user's account, including access to private customer data and sensitive information.
Clone Of:
Environment:
Last Closed: 2023-07-12 07:51:56 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2023:4118 0 None None None 2023-07-17 19:31:01 UTC
Red Hat Product Errata RHSA-2023:4030 0 None None None 2023-07-12 03:44:49 UTC
Red Hat Product Errata RHSA-2023:6972 0 None None None 2023-11-14 15:18:18 UTC

Description Anten Skrabec 2023-06-08 18:58:51 UTC
Grafana is validating Azure AD accounts based on the email claim. On Azure AD, the profile email field is not unique across Azure AD tenants. This enables Grafana account takeover and authentication bypass when Azure AD OAuth is configured with a multi-tenant AzureAD OAuth application. If exploited, the attacker can gain complete control of the user's account, including access to private customer data and sensitive information. All users in Grafana deployments with Azure AD OAuth configured with a multi-tenant Azure app and which do not have allowed_groups configured are affected and can be compromised.

Comment 13 errata-xmlrpc 2023-07-12 03:44:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:4030 https://access.redhat.com/errata/RHSA-2023:4030

Comment 14 Product Security DevOps Team 2023-07-12 07:51:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-3128

Comment 15 errata-xmlrpc 2023-11-14 15:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:6972 https://access.redhat.com/errata/RHSA-2023:6972


Note You need to log in before you can comment on or make changes to this bug.